Skip to main content
`Ctrl`+`K`

# MatNormalGetMat

Gets the `Mat` object stored inside a `MATNORMAL`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatNormalGetMat(Mat A, Mat *M)

Logically Collective

## Input Parameter

- A - the `MATNORMAL` matrix

## Output Parameter

- M - the matrix object stored inside `A`

## See Also

Matrices, `Mat`, `MATNORMAL`, `MATNORMALHERMITIAN`, `MatCreateNormal()`

## Level

intermediate

## Location

src/mat/impls/normal/normm.c

## Implementations

MatNormalGetMat_Normal() in src/mat/impls/normal/normm.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages